Bug 437935 - After restart gnome starts without window manager
After restart gnome starts without window manager
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-18 05:42 EDT by Valent Turkovic
Modified: 2009-07-14 14:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 14:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gnome without window manager (259.71 KB, image/png)
2008-03-18 05:43 EDT, Valent Turkovic
no flags Details

  None (edit)
Description Valent Turkovic 2008-03-18 05:42:01 EDT
Description of problem:
I enable "Desktop effects" and I reboot my laptop. When I boot up to gnome I
sometimes get no window manager borders, but I can move windows around.

Now I disabled "Desktop effects" and rebooted and I got window manager! I needed
to enable it and disable it in order to get metacity back up and working!

I'll attach a screenshot.

How can I give you more valuable feedback? What do you need?

Version-Release number of selected component (if applicable):

How reproducible:
50% of the time with compiz enabled
not sure how much with compiz disabled, but happens less than with compiz enabled.

Steps to Reproduce:
1. enable or enable/disable compiz
2. reboot
3. login to gnome
Actual results:

Expected results:

Additional info:
Comment 1 Valent Turkovic 2008-03-18 05:43:04 EDT
Created attachment 298358 [details]
gnome without window manager
Comment 2 Matěj Cepl 2008-03-18 13:14:43 EDT
It's not window manager you are missing but gtk-window-decorator crashing.
Comment 3 Valent Turkovic 2008-03-19 04:49:37 EDT
Oh, I learn something new every day :)

Can I help somehow in troubleshooting this? Are there some logs that I can send?
Comment 4 Bug Zapper 2008-05-14 02:40:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 5 Jan ONDREJ 2008-05-20 08:39:02 EDT
Same problem for me on my workstation and notebook.

I can start window-decorator manually by typing:
  gtk-window-decorator --replace
but it is still a question, why it hangs when switching to compis using fusion-icon.
Comment 6 Jan ONDREJ 2008-07-23 09:52:50 EDT
I think this is fixed in current compiz from fedora-stable repo.
Why this is still not closed?
Valent: do you still have this problem?
Comment 7 Valent Turkovic 2008-08-13 04:22:56 EDT
I'll check it out now and report back. Sorry for the long delay (I was moving to a new apartment)
Comment 8 Valent Turkovic 2008-08-13 05:26:31 EDT
I tried a few times, looks like it works now.

Comment 9 dhawes 2008-08-28 07:41:45 EDT
This problem still exists with compiz-0.7.6-2.fc9.i386 for 16 bit deep displays
on intel video but works with 24bit colour. I have the same problem on my laptop
and a desktop machine.
Comment 10 Bug Zapper 2009-06-09 19:47:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 Bug Zapper 2009-07-14 14:08:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.